﻿using PersonnelDepartmentContracts.BindingModels;
using PersonnelDepartmentContracts.ViewModels;
using PersonnelDepartmentDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PersonnelDepartmentDatabaseImplement.Models
{
	public class Type : ITypeModel
	{
		[Required]
		public string Name { get; set; } = string.Empty;
		public int Id { get; set; }

		public static Type? Create(TypeBindingModel model)
		{
			if (model == null)
			{
				return null;
			}
			return new Type
			{
				Id = model.Id,
				Name = model.Name
			};
		}

		public void Update(TypeBindingModel model)
		{
			if (model == null)
			{
				return;
			}
			Name = model.Name;
		}

		public TypeViewModel GetViewModel => new()
		{
			Id = Id,
			Name = Name
		};
	}
}
